| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxBusyCursor Class Reference
Miscellaneous

`#include <wx/utils.h>`

## Detailed Description

This class makes it easy to tell your user that the program is temporarily busy.

Just create a wxBusyCursor object on the stack, and within the current scope, the hourglass will be shown.

For example:

wxBusyCursor wait;
for (int i = 0; i < 100000; i++)
DoACalculation();

It works by calling wxBeginBusyCursor() in the constructor, and wxEndBusyCursor() in the destructor.

##

Library: wxCore
Category: Miscellaneous

See Also
  wxBeginBusyCursor(), wxEndBusyCursor(), wxWindowDisabler

## Public Member Functions

| wxBusyCursor (const wxCursor *cursor=wxHOURGLASS_CURSOR)
| Constructs a busy cursor object, calling wxBeginBusyCursor().
| ~wxBusyCursor ()
| Destroys the busy cursor object, calling wxEndBusyCursor().

## Constructor & Destructor Documentation

wxBusyCursor::wxBusyCursor | ( | const wxCursor * | cursor = `wxHOURGLASS_CURSOR` | ) |

Constructs a busy cursor object, calling wxBeginBusyCursor().

wxBusyCursor::~wxBusyCursor | ( |  | ) |

Destroys the busy cursor object, calling wxEndBusyCursor().